Name: smartmontools
Version: 5.26
Release: alt1

Summary: SMARTmontools - for monitoring S.M.A.R.T. disks and devices

License: GPL
Group: Monitoring

URL: http://smartmontools.sourceforge.net/
Packager: Sergey Vlasov <vsu@altlinux.ru>

Source0: http://download.sourceforge.net/%name/%name-%%version.tar.bz2
Source1: smartd.initd
Source2: smartd.sysconfig
Source3: smartd.initd.Master

Requires(post,preun): chkconfig

Obsoletes: smartctl
Obsoletes: smartd
Obsoletes: ucsc-smartsuite
Obsoletes: smartsuite

# initscript backward compatibility
%def_without Master

%description
SMARTmontools controls and monitors storage devices using the
Self-Monitoring, Analysis and Reporting Technology System (S.M.A.R.T.)
built into ATA and SCSI Hard Drives.  This is used to check the
reliability of the hard drive and to predict drive failures.

The suite is derived from the smartsuite package, and contains two
utilities.  The first, smartctl, is a command line utility designed to
perform simple S.M.A.R.T. tasks.  The second, smartd, is a daemon that
periodically monitors smart status and reports errors to syslog.  The
package is compatible with the ATA/ATAPI-5 specification.  Future
releases will be compatible with the ATA/ATAPI-6 and ATA/ATAPI-7
specifications.  The package is intended to incorporate as much "vendor
specific" and "reserved" information as possible about disk drives.  man
smartctl and man smartd will provide more information.


%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

# remove the supplied init script
%__rm -rf %buildroot/etc/rc.d

%__install -d %buildroot%_sysconfdir
%__install -d %buildroot%_sysconfdir/sysconfig
%__install -d %buildroot%_initdir

%__install -p -m644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/smartd

%if_with Master
%__install -p %SOURCE3 %buildroot%_initdir/smartd
%else
%__install -p %SOURCE1 %buildroot%_initdir/smartd
%endif

%post
%post_service smartd

%preun
%preun_service smartd

%files
%_sbindir/smartd
%_sbindir/smartctl
%_initdir/smartd
%_man8dir/smartctl.8*
%_man8dir/smartd.8*
%_man5dir/smartd.conf.5*
%config(noreplace) %_sysconfdir/smartd.conf
%config(noreplace) %_sysconfdir/sysconfig/smartd
%doc WARNINGS CHANGELOG TODO README smartd.conf examplescripts

%changelog
* Tue Dec 02 2003 Sergey Vlasov <vsu@altlinux.ru> 5.26-alt1
- Version 5.26.
- Added backward-compatible initscript (use --with Master to build package
  compatible with Master 2.2).

* Tue Jun 17 2003 Sergey Vlasov <vsu@altlinux.ru> 5.1.14-alt1
- Version 5.1-14.
- Init script completely rewritten for new conventions.

* Wed Apr 30 2003 Sergey Vlasov <vsu@altlinux.ru> 5.1.10-alt1
- First build for ALT Linux.
- Removed pre-ALT %%changelog (it was just a duplicate of CHANGELOG
  inside the package and described main code changes, not packaging changes).
- Added ALT-specific init script.
